# Poco

# class Base64DecoderBuf

Library: Foundation
Package: Streams
Header: Poco/Base64Decoder.h

## Description

This streambuf base64-decodes all data read from the istream connected to it.

## Inheritance

Direct Base Classes: UnbufferedStreamBuf

All Base Classes: UnbufferedStreamBuf

## Constructors

### Base64DecoderBuf

Base64DecoderBuf(
std::istream & istr
);

## Destructor

### ~Base64DecoderBuf

~Base64DecoderBuf();